/*
 * 413_pwm.c
 * Pwm source code 
 *
 * Team: 
 *  Dynamics UPC Manresa
 * 
 * University: 
 *  EPSEM
 * 
 * Author:
 *  David Martn Serrano
 * 
 */

#include "413_etc_control.h"

/**
 * This functions inits the ETC circuit for handle the ETC motor
 * 
 * Requires:
 *      - This function no requires anything
 * 
 * Returns:
 *      - This function doesn't return anything
 */
void init_etcControl(void)
{
    ETC_MOTOR_TRIS = OUTPUT;
    ETC_MOTOR_ANSEL = DIGITAL;
}

/**
 * This functions enables the motor of the ETC system
 * 
 * Requires:
 *      - This function no requires anything
 * 
 * Returns:
 *      - This function doesn't return anything
 */
inline void etcMotorON(void)
{
    ETC_MOTOR_LAT = 1;
}

/**
 * This functions disables the motor of the ETC system
 * 
 * Requires:
 *      - This function no requires anything
 * 
 * Returns:
 *      - This function doesn't return anything
 */
inline void etcMotorOFF(void)
{
    ETC_MOTOR_LAT = 0;
}
