/*
 * 413_etc_control.h
 * Pwm header file
 * 
 * Team: 
 *  Dynamics UPC Manresa
 * 
 * University: 
 *  EPSEM
 * 
 * Author:
 *  David Martn Serrano
 * 
 */

#ifndef _P413_ETC_CONTROL_H
#define _P413_ETC_CONTROL_H

#include "413_config.h"

// Defines for the control of the ETC
#define ETC_MOTOR_TRIS      TRISEbits.TRISE5
#define ETC_MOTOR_ANSEL     ANSELEbits.ANSELE5
#define ETC_MOTOR_LAT       LATEbits.LATE5

/**
 * This functions inits the ETC circuit for handle the ETC motor
 * 
 * Requires:
 *      - This function no requires anything
 * 
 * Returns:
 *      - This function doesn't return anything
 */
void init_etcControl(void);

/**
 * This functions enables the motor of the ETC system
 * 
 * Requires:
 *      - This function no requires anything
 * 
 * Returns:
 *      - This function doesn't return anything
 */
inline void etcMotorON(void);

/**
 * This functions disables the motor of the ETC system
 * 
 * Requires:
 *      - This function no requires anything
 * 
 * Returns:
 *      - This function doesn't return anything
 */
inline void etcMotorOFF(void);

#endif