/*
 * 413_pwm.h
 * Pwm header file
 * 
 * Team: 
 *  Dynamics UPC Manresa
 * 
 * University: 
 *  EPSEM
 * 
 * Author:
 *  David Martn Serrano
 * 
 */

#ifndef _P413_PWM_H
#define _P413_PWM_H

#include "413_config.h"

// Define the ports for work with the PWM systems
#define CLUTCH_OUT_TRIS     TRISEbits.TRISE6
#define CLUTCH_OUT_ANSEL    ANSELEbits.ANSELE6
#define CLUTCH_IN_TRIS      TRISEbits.TRISE4
#define CLUTCH_IN_ANSEL     ANSELEbits.ANSELE4
#define GEAR_OUT_TRIS       TRISEbits.TRISE3
#define GEAR_OUT_ANSEL      ANSELEbits.ANSELE3

/**
 * Initialize the pwm systems
 * This function makes three PWM
 *  - PWM 6 - Port RE6
 *  - PWM 7 - Port RE4
 *  - CCP1  - Port RE3
 * 
 * Requires:
 *      - This function no requires anything
 * 
 * Returns:
 *      - This function doesn't return anything
 */
void init_pwm(void);

/**
 * Sets the value for the PMW1
 * 
 * Requires:
 *      - A uint16_t variable with the duty cycle
 * 
 * Returns:
 *      - This function doesn't return anything
 */
void setPwm1(uint16_t value);

/**
 * Sets the value for the PMW6
 * 
 * Requires:
 *      - A uint16_t variable with the duty cycle
 * 
 * Returns:
 *      - This function doesn't return anything
 */
void setPwm6(uint16_t value);

/**
 * Sets the value for the PMW7
 * 
 * Requires:
 *      - A uint16_t variable with the duty cycle
 * 
 * Returns:
 *      - This function doesn't return anything
 */
void setPwm7(uint16_t value);

#endif