/*
 * 413_security.c 
 * Security functions source code 
 *
 * Team: 
 *  Dynamics UPC Manresa
 * 
 * University: 
 *  EPSEM
 * 
 * Author:
 *  David Martn Serrano
 * 
 */

#include "413_security.h"

/**
 * This function initialize the security system
 */
void init_security(void)
{
    // Program the ports that controls the security system of the car
    MOTOR_SUPPLY_CONTROL_TRIS = OUTPUT;
    MOTOR_SUPPLY_CONTROL_ANSEL = DIGITAL;
    MOTOR_SUPPLY_CONTROL_LAT = 1;
    POWER_SUPPLY_CONTROL_TRIS = OUTPUT;
    POWER_SUPPLY_CONTROL_ANSEL = DIGITAL;
    POWER_SUPPLY_CONTROL_LAT = 1;
}

/**
 * Cuts the motor power, and stops the power of the ETC motor. Once called, the
 * system must be restarted to start again work
 */
void cutMotorPower(void)
{
    MOTOR_SUPPLY_CONTROL_LAT = 0;
}

/**
 * Cuts the motor power, and stops the power of the main rele. Once called, the
 * system must be restarted to start again work
 */
void cutPowerSupply(void)
{
    POWER_SUPPLY_CONTROL_LAT = 0;
}