/*
 * 413_adc.h 
 * Security functions header file
 *
 * Team: 
 *  Dynamics UPC Manresa
 * 
 * University: 
 *  EPSEM
 * 
 * Author:
 *  David Martn Serrano
 * 
 */

#ifndef _P413_SECURITY_H
#define _P413_SECURITY_H

#include "413_config.h"

// Define the ports for the security of the system
#define MOTOR_SUPPLY_CONTROL_TRIS   TRISEbits.TRISE7
#define MOTOR_SUPPLY_CONTROL_ANSEL  ANSELEbits.ANSELE7
#define MOTOR_SUPPLY_CONTROL_LAT    LATEbits.LATE7
#define POWER_SUPPLY_CONTROL_TRIS   TRISFbits.TRISF2
#define POWER_SUPPLY_CONTROL_ANSEL  ANSELFbits.ANSELF2
#define POWER_SUPPLY_CONTROL_LAT    LATFbits.LATF2

/**
 * This function initialize the security system
 * 
 * Requires:
 *      - This function doesn't need any parameter
 * 
 * Returns:
 *      - This function doesn't return anything
 */
void init_security(void);

/**
 * Cuts the motor power, and stops the power of the ETC motor. Once called, the
 * system must be restarted to start again work
 * 
 * Requires:
 *      - This function doesn't need any parameter
 * 
 * Returns:
 *      - This function doesn't return anything
 */
void cutMotorPower(void);

/**
 * Cuts the motor power, and stops the power of the main rele. Once called, the
 * system must be restarted to start again work
 * 
 * Requires:
 *      - This function doesn't need any parameter
 * 
 * Returns:
 *      - This function doesn't return anything
 */
void cutPowerSupply(void);

#endif